--[[

$Revision: 27 $

(C) Copyright 2009 Bethink (bethink at naef dot com)
See LICENSE.txt for license terms.

]]


----------------------------------------------------------------------
-- Initialization

BossNotesTactics = LibStub("AceAddon-3.0"):NewAddon("BossNotesTactics")
local L = LibStub("AceLocale-3.0"):GetLocale("BossNotes")
local T = LibStub("AceLocale-3.0"):GetLocale("BossNotesTactics")

	
----------------------------------------------------------------------
-- Core handlers

-- One-time initialization
function BossNotesTactics:OnInitialize()
	BossNotes:RegisterCollection(L["TACTICS"], BossNotesTactics_Query)
end


----------------------------------------------------------------------
-- Functions

-- Returns the tactics note
function BossNotesTactics_Query (instance, encounter)
	local key = BossNotes:GetContextKey(instance, encounter)
	local note = T[key]
	if note == key then
		note = nil
	end
	return note
end
